Package org.eclipse.ui.views.properties

## Class PropertyShowInContext

- java.lang.Object
- - org.eclipse.ui.part.ShowInContext
  - - org.eclipse.ui.views.properties.PropertyShowInContext

    public class PropertyShowInContext
    extends ShowInContext

Since:
  3.4

### Constructor Summary

Constructors
`PropertyShowInContext​(IWorkbenchPart aPart, ISelection selection)`
`PropertyShowInContext​(IWorkbenchPart aPart, ShowInContext aShowInContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`IWorkbenchPart` `getPart()`
`int` `hashCode()`
`void` `setPart​(IWorkbenchPart part)`

### Methods inherited from class org.eclipse.ui.part.ShowInContext

`getInput, getSelection, setInput, setSelection`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyShowInContext

    public PropertyShowInContext​(IWorkbenchPart aPart,
                                 ISelection selection)

Parameters:
  `aPart` -
  `selection` -

#### PropertyShowInContext

    public PropertyShowInContext​(IWorkbenchPart aPart,
                                 ShowInContext aShowInContext)

Parameters:
  `aPart` -
  `aShowInContext` -

### Method Detail

#### getPart

    public IWorkbenchPart getPart()

Returns:
  Returns the part.

#### setPart

    public void setPart​(IWorkbenchPart part)

Parameters:
  `part` - The part to set.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`